We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 7824 - Stats & Reports "Resubmit" count is misleading/incorrect
Stats & Reports "Resubmit" count is misleading/incorrect
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Submissions and Publishing
2.4.2
All All
: P3 normal
Assigned To: James MacGregor
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 14:49 PDT by James MacGregor
Modified: 2013-02-15 23:15 PST (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2012-08-30 14:49:30 PDT
The "Resubmit" count in the Stats & Reports page only seems to count articles that currently have the "resubmit" decision flagged against them -- it doesn't count the historical total of resubmits over time. The note does flag this as an issue: 

"Note: Percentages for peer reviewed submissions may not add up to 100%, as items resubmitted are either accepted, declined, or still in process."

... but it'd be great if possible to make sure that that count includes all historical resubmit requests.
Comment 1 Alec Smecher 2013-01-03 10:38:19 PST
James, do you mean that the stat should count the total number of resubmit decisions, even for articles that were subsequently decided in another way? What about duplicate resubmit decisions for the same article? Not sure how this stat is being interpreted.
Comment 2 James MacGregor 2013-01-09 23:18:29 PST
Hi Alec, 

(I'm deferring this as I don't think there's any way to do this without a locale addition. But read on!)

I honestly don't know what actual journals want wrt the "resubmit" metric. A metric for the number of articles *currently* in a "resubmit" stage seems kind of useless here and as a public stat, especially as the metric should converge to zero over time (that is, you shouldn't have 3 articles in a "resubmit" state for 2003). 

I would say yes to both your questions -- count all resubmissions, even dupes of the same submission. But then again, I don't really know whether what this metric gives folks is of much use. Maybe ping John about this?
Comment 3 Alec Smecher 2013-01-10 11:10:07 PST
Thanks, James -- I've emailed him.
Comment 4 John Willinsky 2013-01-11 15:14:54 PST
After examining the stats in Postcolonial Text and reviewing the journal stats kept by editors of AERA journals, I would say that we can develop far more sophisticated statistical monitoring down the road, and we can provide a simpler statistic of the key measure at this point. 

What we present now is an accept+decline that adds up to 100%, and we have a resubmit percentage, which has no particular value at this point. The resubmit figure, for example, is reported among 8 measures of "current status" in the AERA journal reports, but that is clearly part of a far more extensive stats package. My suggestion is that we simply take out "resubmit." The acceptance rate is what matters most in such matters, and it appears to be accurately tracked at this point.
Comment 5 James MacGregor 2013-01-14 11:36:29 PST
(In reply to comment #4)
> After examining the stats in Postcolonial Text and reviewing the journal
> stats kept by editors of AERA journals, I would say that we can develop far
> more sophisticated statistical monitoring down the road, and we can provide
> a simpler statistic of the key measure at this point. 
> 
> What we present now is an accept+decline that adds up to 100%, and we have a
> resubmit percentage, which has no particular value at this point. The
> resubmit figure, for example, is reported among 8 measures of "current
> status" in the AERA journal reports, but that is clearly part of a far more
> extensive stats package. My suggestion is that we simply take out
> "resubmit." The acceptance rate is what matters most in such matters, and it
> appears to be accurately tracked at this point.

Thanks, John -- I have reassigned for 2.4.2 and will remove the stat for now, keeping in mind how/whether to use any resubmit metric in other stats scenarios.
Comment 6 Alec Smecher 2013-01-15 15:43:29 PST
(Related: bug #8015 gets figured out first before any dependent changes)
Comment 7 James MacGregor 2013-02-15 23:10:02 PST
removed resubmit metric from stats pages
https://github.com/pkp/ojs/commit/271c2b83b6b643ab79a508bd8c4ddc6b8e8a060e
Comment 8 James MacGregor 2013-02-15 23:15:02 PST
removed resubmit metric from stats pages
https://github.com/pkp/ojs/commit/ab46552af09327b0a4cb7be398f4cc229cdd346f